\begin{algorithm}[H]
	\SetKw{KwOr}{or}
	\SetKwInOut{Input}{Entradas}
	\SetKwInOut{Output}{Salidas}
	\Input{
		Función $\mathbf{u}(x,y,t_0): \Omega \times \mathbb{R}^+ \rightarrow \mathbb{R}^c$.
		\\
		Discretización temporal $t_0, \dots, t_N$ con paso de tiempo $\delta$.
		\\
		Número de iteraciones máximas, $N$.
		\\
		Criterio de parada, $\rho$.}
	\Output{Función $\mathbf{u}(x,y,t_k): \Omega \times \mathbb{R}^+ \rightarrow \mathbb{R}^c$ que minimiza $E(\mathbf{u})$.}
	\BlankLine
	\Begin{
		$E_0 = E(\mathbf{u}(x,y,0))$ \\
		$k = 0$ \\
		\While{$k \leq N$ \KwOr $\frac{E(\mathbf{u}(x,y,t_k))}{E_0} \leq \rho$}{
			$\displaystyle \mathbf{u}(x,y,t_{k+1}) = \mathbf{u}(x,y,t_k) + \delta \frac{\partial \mathbf{u}}{\partial t}(x, y, t_k)$
			\\
			$k = k + 1$
		}
	}
	\caption{Resolución de la difusión del brillo y la cromaticidad.\label{alg:grad-descent-difusivo}}
\end{algorithm}